Qt 5.9 | Qt 3D | C++ Classes | QTextureMaterial

Qt 5.9.9 Reference Documentation

# QTextureMaterial Class

(Qt3DExtras::QTextureMaterial)

The QTextureMaterial provides a default implementation of a simple unlit texture material. More...

Header: | #include <QTextureMaterial>
qmake: | QT += 3dextras
Since: | Qt 5.9
Inherits: | Qt3DRender::QMaterial

- List of all members, including inherited members

## Properties

- texture : Qt3DRender::QAbstractTexture *
- textureOffset : QVector2D

- 1 property inherited from Qt3DRender::QMaterial
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QTextureMaterial(Qt3DCore::QNode *parent = nullptr)
| ~QTextureMaterial()
Qt3DRender::QAbstractTexture * | texture() const
QVector2D | textureOffset() const

- 4 public functions inherited from Qt3DRender::QMaterial
- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setTexture(Qt3DRender::QAbstractTexture *texture)
void | setTextureOffset(QVector2D textureOffset)

- 1 public slot inherited from Qt3DRender::QMaterial
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | textureChanged(Qt3DRender::QAbstractTexture *texture)
void | textureOffsetChanged(QVector2D textureOffset)

- 1 signal inherited from Qt3DRender::QMaterial
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QTextureMaterial provides a default implementation of a simple unlit texture material.

This material uses an effect with a single render pass approach. Techniques are provided for OpenGL 2, OpenGL 3 or above as well as OpenGL ES 2.

## Property Documentation

### texture : Qt3DRender::QAbstractTexture *

Holds the current texture used by the material.

Access functions:

Qt3DRender::QAbstractTexture * | texture() const
void | setTexture(Qt3DRender::QAbstractTexture *texture)

Notifier signal:

void | textureChanged(Qt3DRender::QAbstractTexture *texture)

### textureOffset : QVector2D

Holds the current texture offset. It is applied to texture coordinates at render time. Defaults to (0.0, 0.0).

Access functions:

QVector2D | textureOffset() const
void | setTextureOffset(QVector2D textureOffset)

Notifier signal:

void | textureOffsetChanged(QVector2D textureOffset)

## Member Function Documentation

### QTextureMaterial::QTextureMaterial(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureMaterial.

### QTextureMaterial::~QTextureMaterial()

Destroys the QTextureMaterial instance.